Loading...
Searching...
No Matches
mbedtls_psa_aead_operation_t Struct Reference

`#include <crypto_builtin_composites.h>`

Collaboration diagram for mbedtls_psa_aead_operation_t:
[legend]

## Data Fields

psa_algorithm_t | private_alg
psa_key_type_t | private_key_type
unsigned int | private_is_encrypt: 1
uint8_t | private_tag_length
union { |
unsigned dummy |
mbedtls_ccm_context private_ccm |
mbedtls_gcm_context private_gcm |
mbedtls_chachapoly_context private_chachapoly |
} | ctx

## Detailed Description

Definition at line 79 of file crypto_builtin_composites.h.

## Field Documentation

## [union]

union { ... } mbedtls_psa_aead_operation_t::ctx

## dummy

unsigned mbedtls_psa_aead_operation_t::dummy

Definition at line 88 of file crypto_builtin_composites.h.

## private_alg

psa_algorithm_t mbedtls_psa_aead_operation_t::private_alg

Definition at line 80 of file crypto_builtin_composites.h.

## private_ccm

mbedtls_ccm_context mbedtls_psa_aead_operation_t::private_ccm

Definition at line 90 of file crypto_builtin_composites.h.

## private_chachapoly

mbedtls_chachapoly_context mbedtls_psa_aead_operation_t::private_chachapoly

Definition at line 96 of file crypto_builtin_composites.h.

## private_gcm

mbedtls_gcm_context mbedtls_psa_aead_operation_t::private_gcm

Definition at line 93 of file crypto_builtin_composites.h.

## private_is_encrypt

unsigned int mbedtls_psa_aead_operation_t::private_is_encrypt

Definition at line 83 of file crypto_builtin_composites.h.

## private_key_type

psa_key_type_t mbedtls_psa_aead_operation_t::private_key_type

Definition at line 81 of file crypto_builtin_composites.h.

## private_tag_length

uint8_t mbedtls_psa_aead_operation_t::private_tag_length

Definition at line 85 of file crypto_builtin_composites.h.

The documentation for this struct was generated from the following file:

- crypto_builtin_composites.h